<% if @network_tracker.present? %>
    $('#meeting-info').empty()
    $('#meeting-info').html("<%= escape_javascript(render partial: 'edit', locals: { :'@network_tracker' => @network_tracker }) %>")
    console.log($('#meeting-info #network_tracker_start_time'));
    $('#meeting-info .appt_date').datepicker({
        format: "mm/dd/yyyy",
        // startDate: "<%#= @network_tracker.appointment_date.strftime('%d/%m/%Y') %>"
    });
    console.log("<%= @network_tracker.company_name %>");
    $("#meeting-info #network_tracker_company_name" ).select2({
        // theme: "bootstrap"
        placeholder: 'Select Company',
        allowClear: true,
        tags: true,
        data: {id: "<%= @network_tracker.company_name %>", title: "<%= @network_tracker.company_name %>"},
        // minimumInputLength: 3,
        ajax: {
            // url: '/companies/company_select2',
            url: '/companies/company_select2',
            dataType: 'json',
            data: function(term){
                return{
                    term: term
                };
            },
            processResults: function (data) {
                return {
                    results: $.map(data, function (item) {
                        return {
                            text: item.company_name,
                            // slug: item.slug,
                            id: item.company_name
                        }
                    })
                };
            }
        }
    });
    $('#meeting-info .timepicker').timepicker();
    $('#meeting-info #network_tracker_end_time').timepicker()
    $('#meeting-info #network_tracker_start_time').timepicker()
    var comp_name = "<%= @network_tracker.company_name %>"
    $("#meeting-info #network_tracker_company_name" ).prepend("<option value='"+comp_name+"'>"+comp_name+"</option>");
    // $('#meeting-info').modal('show')
<% else %>
<% end %>
delete_meeting();
$('.appt_date').datepicker({
    format: "mm/dd/yyyy",
    startDate: date,
});
$('.timepicker').timepicker({ defaultTime: false, placeholder: 'Select'});

// $( ".select_company" ).select2({
//     // theme: "bootstrap"
//     placeholder: 'Select Company',
//     tags: true,
//     // allowClear: true,
//     // minimumInputLength: 3,
//     ajax: {
//         // url: '/companies/company_select2',
//         url: '/companies/company_select2',
//         dataType: 'json',
//         data: function(term){
//             return{
//                 term: term
//             };
//         },
//         processResults: function (data) {
//             return {
//                 results: $.map(data, function (item) {
//                     return {
//                         text: item.company_name,
//                         // slug: item.slug,
//                         id: item.company_name
//                     }
//                 })
//             };
//         }
//     }
// });

$('.edit_network_tracker').validate({
    errorElement: 'div',
})

function convert_to_24_hour(time){
    var hours = Number(time.match(/^(\d+)/)[1]);
    var minutes = Number(time.match(/:(\d+)/)[1]);
    var AMPM = time.match(/\s(.*)$/)[1];
    if(AMPM == "PM" && hours<12) hours = hours+12;
    if(AMPM == "AM" && hours==12) hours = hours-12;
    var sHours = hours.toString();
    var sMinutes = minutes.toString();
    if(hours<10) sHours = "0" + sHours;
    if(minutes<10) sMinutes = "0" + sMinutes;
    // alert(sHours + ":" + sMinutes);
    return (sHours + ":" + sMinutes)
}

$('.end_time').on('focusout', function(){
    console.log(1);
    var flg = 0;
    var id = $(this).data('id')
    var start_time = convert_to_24_hour($('.start_time_'+id).val())
    console.log(start_time);
    console.log($(this).val());
    console.log($(this).val() < start_time);
    if(start_time == ""){

    }else{
        if(convert_to_24_hour($(this).val()) < start_time){
            // alert(1)
            // if($(this).hasClass('valid')){
                $(this).removeClass('valid')
                $(this).addClass('error')
                if($(this).next().length > 0){
                }else{
                    var element = "<div id='network_tracker_end_time-error' class='error'>End time should be greater than start time.</div>"
                    $(this).after(element)
                }
                flg = 1
            // }
            // alert(1)
            // alert('End time should be greater')
        }else{
            flg = 0
            $(this).removeClass('error')
            $(this).addClass('valid')
            $(this).next().remove()
        }
    }
})

$('.start_time').on('focusout', function(){
    console.log(1);
    var flg = 0;
    var id = $(this).data('id')
    var end_time = convert_to_24_hour($('.end_time_'+id).val())
    console.log(end_time);
    console.log($(this).val());
    console.log($(this).val() > end_time);
    if(end_time == ""){

    }else{
        if(convert_to_24_hour($(this).val()) > end_time){
            // alert(2)
            // if($(this).hasClass('valid')){
                $(this).removeClass('valid')
                $(this).addClass('error')
                if($(this).next().length > 0){
                }else{
                    var element = "<div id='network_tracker_end_time-error' class='error'>Start time should be earlier than end time.</div>"
                    $(this).after(element)
                }
                flg = 1
            // }
            // alert(1)
            // alert('End time should be greater')
        }else{
            flg = 0
            $(this).removeClass('error')
            $(this).addClass('valid')
            $(this).next().remove()
        }
    }
})

if($('.start_time').hasClass('error') || $('.end_time').hasClass('error')){
    $('.save_meeting').off('click')
    $('.save_meeting').addClass('disabled')
}

$('.edit_meeting').on('click', function(){
    console.log('in edit');
    if($('.edit_network_tracker').valid()){
        $('.edit_network_tracker').submit();
    }
})
clear_network_search()
